# PyTextGame

**Ultra python game development library! <br>Game development made easier than ever!**

**Announcement: Now PyTextGame is also available on SourceForge. Please visit [the official page in SourceForge](https://pytextgame.sourceforge.io).
## 📃Table of content
1.[Introduction](#introduction)<br>
2.[Features](#features)<br>
3.[Installation](#installation)<br>
4.[Contributing](#contributing)<br>
5.[Security Policy](#security-policy)<br>
6.[Release Notes](#release-notes)<br>
- [Version 1.0.0 BETA](#version-100-beta-)<br>
- [Version 1.1.0 BETA](#-version-110-beta-)<br>
- [Version 1.1.1 BETA](#-version-111-beta-)
7. [Notices](#notices)

## 👋🏼Introduction
**PyTextGame** is a python library which can be used to develop text based games alomg with game logic for commercial games [Both graphic and console-based]. It contains several features for making game development 3x faster.
<br><br>
©️ 2023, Himank Deka & Contributors (check [CONTRIBUTERS](./CONTRIBUTERS.txt)) [All source code and resources]
<br> All rights reserved.

## 🪶Features
- Game development made easy
- Gaming Components
- Console-based & Graphic
- Multi genre
- Efficient
- For both personal and commercial use
- Reducing development time
- Lifetime support
- Light on RAM & Storage
- One stop solution for game devs!

## 📩Installation
1. Create a new Python virtual environment :
```bash
python -m venv myenv
```

2. Acitivate the virtual environment :
```bash
myenv/Scripst/activate.bat
```

3. Install PyTextGame in the venv :
```bash
pip install pytextgame
```

4. Import what ever you want!<br>
Example :
```python
from pytextgame.main import *
```

## 🤝Contributing
See [CONTRIBUTING](./CONTRIBUTING.md).

## 🔐 Security Policy :
See [SECURITY](./SECURITY.md)

## 🗒️Release Notes

### 👩🏼‍💻Version: 1.0.0 BETA : 
Some of the foundation features. Full verion will contain all the necessary features mentioned in [Features section](#features).
<br>
Full version will be hosted on PyPi. Downloading the full version through pip is recommended. Also available on GitHub \[@dev-hd11/pytextgame\]
<br><br>

### 👩🏼‍💻 Version: 1.1.0 BETA :
A PyPi release for the version 1.0.0 with an extra feature and some minor changes. Please wait for the full release if you want the complete package.
You can download this using pip.
<br><br>
**New Features** :
- A new GUI welcome box.

### 👩🏼‍💻 Version: 1.1.1 BETA :
A minor bug fix in `pytextgame.frames`. Also now you can close the welcome box by setting the `SHOW_WELCOME_BOX` to no.
Syntax :
```python
from pytextgame.components import dat

dat.SHOW_WELCOME_BOX = False

#Do this before making the playground object
# Rest of you code...
```

## 🔔Notices

> [!WARNING]
> This package has been tested on Python 3.11 & 3.12.<br>
> Some features are designed only for Windows.<br>

>[!IMPORTANT]
> Project is currently under development.<br>

>[!NOTE]
> Live on PyPi currently.<br>
> Documentation coming soon!<br>
